> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Charge: Buildium

POST https://api.propexo.com/v1/resident-charges/buildium/
Content-Type: application/json

Create Resident Charge: Buildium| Interface          | Method                        |
| ------------------ | ----------------------------- |
| Lease Transactions | POST /leases/:leaseId/charges |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/buildium/billing-and-payments/create-resident-charge-buildium

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_resident-charges_buildium__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `transaction_date` (string, required) — The transaction date of the resident charge
- `reference_number` (string, optional) — The reference number for the resident charge
- `description` (string, optional) — Description of the resident charge

## Response

### 200

Successful response

- `meta` (V1ResidentChargesBuildiumPostOutputMeta, required)
- `result` (V1ResidentChargesBuildiumPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentChargesBuildiumPostOutputMeta

- `job_id` (string, required)

### V1ResidentChargesBuildiumPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `lease_id` (string, required) — The Propexo unique identifier for the lease
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `reference_number` (string, required, nullable) — The reference number for the resident charge
- `transaction_date` (string, required) — The transaction date of the resident charge
- `description` (string, required, nullable) — Description of the resident charge

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease_1234567890abcdef",
  "financial_account_id": "finacct_0987654321fedcba",
  "amount_in_cents": 125000,
  "transaction_date": "2024-01-15T09:30:00Z"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240115_093000_abc123"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "lease_id": "lease_1234567890abcdef",
    "financial_account_id": "finacct_0987654321fedcba",
    "amount_in_cents": 125000,
    "reference_number": "RC-20240115-0001",
    "transaction_date": "2024-01-15T09:30:00Z",
    "description": "Monthly rent charge for January 2024"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-charges/buildium/"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "lease_id": "lease_1234567890abcdef",
    "financial_account_id": "finacct_0987654321fedcba",
    "amount_in_cents": 125000,
    "transaction_date": "2024-01-15T09:30:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-charges/buildium/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","lease_id":"lease_1234567890abcdef","financial_account_id":"finacct_0987654321fedcba","amount_in_cents":125000,"transaction_date":"2024-01-15T09:30:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-charges/buildium/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"amount_in_cents\": 125000,\n  \"transaction_date\": \"2024-01-15T09:30:00Z\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-charges/buildium/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"amount_in_cents\": 125000,\n  \"transaction_date\": \"2024-01-15T09:30:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/resident-charges/buildium/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"amount_in_cents\": 125000,\n  \"transaction_date\": \"2024-01-15T09:30:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/resident-charges/buildium/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease_1234567890abcdef",
  "financial_account_id": "finacct_0987654321fedcba",
  "amount_in_cents": 125000,
  "transaction_date": "2024-01-15T09:30:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-charges/buildium/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"lease_id\": \"lease_1234567890abcdef\",\n  \"financial_account_id\": \"finacct_0987654321fedcba\",\n  \"amount_in_cents\": 125000,\n  \"transaction_date\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "lease_id": "lease_1234567890abcdef",
  "financial_account_id": "finacct_0987654321fedcba",
  "amount_in_cents": 125000,
  "transaction_date": "2024-01-15T09:30:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-charges/buildium/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```